package com.aliyun.chatbot.channel.chatbot;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson2.annotation.JSONField;

import lombok.Data;

/**
 * @author kelin
 * @date 2024/6/7
 */
@Data
public class ChatbotSSEResponse {
    @JSONField(name = "SessionId")
    private String sessionId;

    @JSONField(name = "MessageId")
    private String messageId;

    @JSONField(name = "SequenceId")
    private String sequenceId;

    @JSONField(name = "Source")
    private String source;

    @JSONField(name = "StreamEnd")
    private Boolean streamEnd;

    @JSONField(name = "MessageBody")
    private MessageBody messageBody;

    @Data
    public static class MessageBody {
        @JSONField(name = "Type")
        private String type;

        @JSONField(name = "DirectMessageBody")
        private DirectMessageBody directMessageBody;

        @JSONField(name = "ClarifyMessageBody")
        private ClarifyMessageBody clarifyMessageBody;

        @JSONField(name = "Commands")
        private Map<String, Object> commands;
    }

    @Data
    public static class DirectMessageBody {
        @JSONField(name = "HitSystemAskConfig")
        private String hitSystemAskConfig;

        @JSONField(name = "ContentType")
        private String contentType;

        @JSONField(name = "SentenceList")
        private List<Sentence> sentenceList;

    }

    @Data
    public static class ClarifyMessageBody {
        @JSONField(name = "Title")
        private String title;

        @JSONField(name = "ClarifyList")
        private List<Clarify> clarifyList;

        @JSONField(name = "ClarifyContent")
        private String clarifyContent;
    }

    @Data
    public static class Sentence {
        @JSONField(name = "Content")
        private String content;
        @JSONField(name = "ReferNumber")
        private Integer referNumber;
    }

    @Data
    public static class Clarify {
        @JSONField(name = "Title")
        private String title;
    }
}
